Subject: broken checkout? can't run autotools (automake) anymore in guix repository
From: ng0 <[email-masked]>
To: [email-masked]
Date: Tue, 1 Aug 2017 08:59:22 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Starting With one of the commits since yesterday evening I get this
when I try to run ~/guix_dev clean OR ~/guix_dev enter and then "make".

An excerpt from my guix_dev:
    clean)
        make clean-recursive
    ;;
    enter)
       guix environment --fallback --ad-hoc guix autoconf [email-masked] make guile guile-ssh pkg-config gcc-toolchain libgcrypt gnutls guile-json zlib bzip2 sqlite help2man gettext texinfo guile-git
    ;;

This happens with automake AND [email-masked], yesterday it used to work as it is (without specifying automake 1.15.1).

user@abyayala ~/src/guix/guix [env]$ ~/guix_dev clean
 cd . && /bin/sh /home/user/src/guix/guix/build-aux/missing automake-1.15 --gnu Makefile
 configure.ac:11: error: version mismatch.  This is Automake 1.15.1,
 configure.ac:11: but the definition used by this AM_INIT_AUTOMAKE
 configure.ac:11: comes from Automake 1.15.  You should recreate
 configure.ac:11: aclocal.m4 with aclocal and run automake again.
 configure.ac:23: warning: The 'AM_PROG_MKDIR_P' macro is deprecated, and its use is discouraged.
 configure.ac:23: You should use the Autoconf-provided 'AC_PROG_MKDIR_P' macro instead,
 configure.ac:23: and use '$(MKDIR_P)' instead of '$(mkdir_p)'in your Makefile.am files.
 Makefile.am:491: warning: AM_GNU_GETTEXT used but 'po' not in SUBDIRS
 WARNING: 'automake-1.15' is probably too old.
 You should only need it if you modified 'Makefile.am' or
 'configure.ac' or m4 files included by 'configure.ac'.
 The 'automake' program is part of the GNU Automake package:
 <http://www.gnu.org/software/automake>
 It also requires GNU Autoconf, GNU m4 and Perl in order to run:
 <http://www.gnu.org/software/autoconf>
 <http://www.gnu.org/software/m4/>
 <http://www.perl.org/>
 make: *** [Makefile:2956: Makefile.in] Error 63

So what am I supposed to do now?
-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://n0is.noblogs.org/my-keys
https://www.infotropique.org https://krosos.org